Required Roles
You can successfully call this endpoint with any of the following assigned roles:
Request
Base URL: https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0
GET /softwareComponents/versions/Request Path Parameters
This endpoint doesn't use HTTP request path parameters.
Request Query Parameters
Name | Type | Necessity | Description | Default |
|---|---|---|---|---|
pretty | boolean | Optional | Flag indicating whether the response body is in a prettyprint format. |
|
envelope | boolean | Optional | Flag that indicates whether to wrap the response in an envelope. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. For endpoints that return one result, the response body includes:
|
|
Request Body Parameters
This endpoint doesn't use HTTP request body parameters.
Response
Name | Type | Description |
|---|---|---|
| string | Latest version of the MongoDB Agent. |
| string | Minimum supported version of the MongoDB Agent. |
| string | Latest version of the BI Connector. |
| string | Minimum supported version of the BI Connector. |
| string | Latest version of MongoDB Tools installed. |
| array of objects | One or more links to sub-resources or related resources. All |
Example Request
curl --user '{PUBLIC-KEY}:{PRIVATE-KEY}' --digest \ --request GET "http://{opsManagerHost}:{port}/api/public/v1.0/softwareComponents/versions?pretty=true"Example Response
Response Header
HTTP/1.1 401 UnauthorizedContent-Type: application/json;charset=ISO-8859-1Date: {dateInUnixFormat}WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=falseContent-Length: {requestLengthInBytes}Connection: keep-aliveHTTP/1.1 200 OKVary: Accept-EncodingContent-Type: application/jsonStrict-Transport-Security: max-age=300Date: {dateInUnixFormat}Connection: keep-aliveContent-Length: {requestLengthInBytes}X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}Response Body
{ "automationVersion": "10.14.0.6304", "automationMinimumVersion": "10.2.17.5964", "biConnectorVersion": "2.3.4", "biConnectorMinimumVersion": "2.3.1", "mongoDbToolsVersion": "100.0.1", "links": [ { "href": "http://{opsManagerHost}:{port}/api/public/v1.0/agents/current", "rel": "self" } ]}